/*
    TOMUSS: The Online Multi User Simple Spreadsheet
    Copyright (C) 2021 Thierry EXCOFFIER, Universite Claude Bernard

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact: Thierry.EXCOFFIER@bat710.univ-lyon1.fr
*/

function autowidth_toggle(e) {
    if (table_attr.autowidth !== 0) {
        if (table_attr.autowidth == 1)
            table_attr.nr_columns = table_attr.default_nr_columns || Math.floor(char_per_line() / 8.5);
        else
            table_attr.nr_columns = table_attr.autowidth;
        table_attr.autowidth = 0;
        table_init();
        table_fill(false, true, false, true);
        update_horizontal_scrollbar();
        setTimeout("the_current_cell.update()", 100);
    }
    else {
        table_attr.autowidth = table_attr.nr_columns;
        update_nr_columns();
    }
    change_option('autowidth', table_attr.autowidth ? '1' : '0');
    document.getElementById(e).className = table_attr.autowidth ? '' : 'linkstroked';
}

