#!/usr/bin/python3
# -*- coding: utf-8 -*-
# TOMUSS: The Online Multi User Simple Spreadsheet
# Copyright (C) 2017 Thierry EXCOFFIER, Universite Claude Bernard
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Contact: Thierry.EXCOFFIER@univ-lyon1.fr

"""
"""

def compute_if_else(data_col, line, username):
    cell = line[data_col]
    column = columns[data_col]
    if column.test_if_filter(line, cell, username):
        if len(column.average_columns) > 0:
            origin = columns[column.average_columns[0]]
            if origin.visibility == 5 and python_mode:
                return origin.empty_is # Compute without the grade for the suivi
            return line[column.average_columns[0]].get_value(origin)
    else:
        if len(column.average_columns) > 1:
            origin = columns[column.average_columns[1]]
            if origin.visibility == 5 and python_mode:
                return origin.empty_is # Compute without the grade for the suivi
            return line[column.average_columns[1]].get_value(origin)
    return cell.get_value(column)
