#!/usr/bin/python3
# -*- coding: utf-8 -*-
# TOMUSS: The Online Multi User Simple Spreadsheet
# Copyright (C) 2014 Thierry EXCOFFIER, Universite Claude Bernard
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Contact: Thierry.EXCOFFIER@univ-lyon1.fr

"""
"""

def compute_nmbr(data_col, line, username):
    column = columns[data_col]
    nr = 0
    for dc in column.average_columns:
        cell = line[dc]
        col = columns[dc]
        if str(cell.value) == '' or (col.visibility == 5 and python_mode):
            cell = C(col.empty_is, cell.author, cell.date,
                     cell.comment, cell.history)
        if column.test_filter_filter(line, cell, username):
            nr += 1
    if column.min == 0 and column.max == len(column.average_columns):
        return nr
    if len(column.average_columns) == 0:
        return 0
    return do_round(nr * (column.max - column.min) / len(column.average_columns)
                    + column.min, column.round_by, column.table.rounding,
                    column.old_function)
