#!/usr/bin/python3

"""
Display an histogram of last 'suivi' page access.
"""

import datetime

def main():
    """Do the work"""
    logins = eval(open('TMP/lastlog.py', 'r').read()) # pylint: disable=eval-used

    now = datetime.date.today()
    histo = [0]*100000
    for date in logins.values():
        histo[(now - datetime.date(int(date[:4]), int(date[4:6]), int(date[6:8]))).days] += 1

    while not histo[-1]:
        histo.pop()

    nb_max = max(histo)
    for i, nb_students in enumerate(histo):
        print(f'{i:5} days : {nb_students:4} {(80 * nb_students // nb_max)*"*"}')

main()
