function send_invitation() {
}

function update_student_information(line) {
    if (!t_student_picture.parentNode.parentNode)
        return;
    t_student_picture.parentNode.parentNode.innerHTML = '<div style="width:20em">'
        + _("Teachers_help")
            .replace('{0}', ' href="javascript:send_a_mail(1)"')
            .replace('{1}', ' href="javascript:window_open(window.location.toString().replace(\'Teachers\', \'P\'));undefined"')
            .replace('{2}', ' href="javascript:edit_message(0)"')
            .replace('{3}', ' href="javascript:edit_message(1)"')
        + '</div>';
    document.getElementById('horizontal_scrollbar').parentNode.style.display = 'none';
    document.getElementById('t_table_attr_comment').disabled = true;
}

function send_a_mail(all) {
    var lin_ids = [];
    var message;
    if (all === 1) {
        var t = [];
        for (var i in filtered_lines) {
            var line = filtered_lines[i];
            t.push(line[0].value + ' ' + line[1].value + ' ' + line[2].value + ' ' + line[3].value);
            lin_ids.push(line.line_id);
        }
        message = t.join('\n');
    }
    else {
        message = the_current_cell.line[5].value || columns[5].empty_is;
        message = (message + '###SEPARATOR###').split('###SEPARATOR###');
        if ((the_current_cell.line[9].value || columns[9].empty_is) == yes)
            message = message[0];
        else
            message = message[1];
        lin_ids.push(the_current_cell.line_id);
    }
    var col_duration = data_col_from_col_id('95Duration');
    if (columns[col_duration].empty_is === '') {
        var col_comment = data_col_from_col_id('70Comment');
        var without_duration = [];
        for (var i in lin_ids) {
            var line = lines[lin_ids[i]];
            if (line[col_duration].value === '')
                without_duration.push(
                    line[0].value + ' ' + line[1].value + ' ' + line[3].value
                    + line[col_comment].value
                );
        }
        if (without_duration.length) {
            alert(_("Teachers_miss_duration") + '\n' + without_duration.join('\n'));
            return;
        }
    }

    if (!confirm(_("B_home_sendmail") + '\n\n' + message))
        return;
    create_popup('import_list', _("B_home_sendmail"),
        '<style>DIV.import_export { bottom: 10% }'
        + 'IFRAME[name=teachers_iframe] { width: 100%; height: calc(100% - 2em); }'
        + '</style>'
        + '<iframe name="teachers_iframe"></iframe>', "", false);
    do_post_data({
        'year': year,
        'ue': ue,
        'lin_ids': lin_ids.join(' ')
    }, add_ticket('teachers_mail'), 'teachers_iframe');
}

function get_teacher_messages() {
    return columns[data_col_from_col_id('60Message')].empty_is.split("###SEPARATOR###");
}

function set_teacher_messages(index) {
    var messages = get_teacher_messages();
    messages[index] = popup_value().join('\n');
    column_attr_set(columns[data_col_from_col_id('60Message')], "empty_is",
        messages.join("###SEPARATOR###"));
    popup_close();
}

function edit_message(index) {
    create_popup('import_list ' + index, '', '',
        '<button onclick="set_teacher_messages(' + index + ')">'
        + _('LABEL_save') + '</button>', get_teacher_messages()[index] || '');
}

Current.prototype.toggle = send_a_mail;
