#!/bin/env python3
# -*- coding: utf-8 -*-
#    TOMUSS: The Online Multi User Simple Spreadsheet
#    Copyright (C) 2021 Thierry EXCOFFIER, Universite Claude Bernard
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#    Contact: Thierry.EXCOFFIER@univ-lyon1.fr

from . import columnfill

class ColumnAnalyserConfig(columnfill.ColumnFill):
    """To add the configuration button on the interface"""
    default_value = '''{
        "script_G_upload":0,
        "script_G_old_upload":0,
        "script_G_on_upload":0,
        "script_U_upload":0,
        "script_U_old_upload":0,
        "script_G":"# Your Python script",
        "script_U":"# Your Python script"}'''
    name = "analyser_config"
    action = "analyser_config"
    check_and_set = 'test_nothing'
