/*
    TOMUSS: The Online Multi User Simple Spreadsheet
    Copyright (C) 2018 Thierry EXCOFFIER, Universite Claude Bernard

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact: Thierry.EXCOFFIER@univ-lyon1.fr
*/

function do_table_update_content() {
    var form = popup_get_element();
    var inputs = form.getElementsByTagName('INPUT');
    var s = '';
    for (var i = 0; i < inputs.length; i++) {
        if (inputs[i].name == 'merge_students') {
            table_attr.merge_students = inputs[i].value;
            s += '/merge_students=' + inputs[i].value;
        }
        else if (inputs[i].checked)
            s += '/' + inputs[i].name;
    }
    if (s === '')
        Alert("ALERT_table_update_nothing");
    else
        append_image(undefined, 'update_content' + s);
    popup_close();
}

function table_update_content(_the_id) {
    function input(name, more) {
        return '<div style="margin: 1em">'
            + '<label><input type="checkbox" name="' + name + '"' + more
            + ' style="vertical-align: top">'
            + '<div style="display: inline-block;">'
            + _('MSG_table_update_' + name) + '</div></label></div>';
    }
    create_popup('import_div', _("TITLE_table_attr_update_content"),
        '<p>' + _("MSG_table_update_intro")
        + input('remove', '')
        + input('add', '')
        + input('mail', ' checked')
        + input('abj', ' checked')
        + input('column', ' checked')
        + '<div style="margin: 1em"><input name="merge_students" style="width:50%" value="'
        + encode_value(table_attr.merge_students) + '"'
        + (i_am_the_teacher ? '' : ' disabled')
        + '> '
        + _("TIP_table_merge_students")
        + (i_am_the_teacher ? '' :
           ' <span style="color:#800">' + _("ERROR_value_not_modifiable") + '</span>')
        + '</div>'
        + '<p><button onclick="do_table_update_content()">'
        + _('TITLE_table_attr_update_content') + '</button>'
        , '', false);
}
