#!/usr/bin/python3
# -*- coding: utf-8 -*-
# TOMUSS: The Online Multi User Simple Spreadsheet
# Copyright (C) 2014 Thierry EXCOFFIER, Universite Claude Bernard
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Contact: Thierry.EXCOFFIER@univ-lyon1.fr

"""
"""

def compute_cow(data_col, line, _username):
    column = columns[data_col]

    if len(column.average_columns) != 1:
        return line[data_col].value

    if line[data_col].date != '':
        if line[data_col].value != '':
            return line[data_col].value
        if python_mode:
            table_year = column.table.year
        else:
            table_year = year # pragma: no cover
        if table_year <= 2021:
            return line[data_col].value # pragma: no cover

    c = column.average_columns[0]
    origin = columns[c]
    if origin.visibility == 5 and python_mode:
        return origin.empty_is # Compute without the grade for the suivi
    return line[c].get_value(origin)
