vars = {
    'test_int': ("Test title", 6),
    'test_str': ("Test title", "7"),
    'test_tuple': ("Test title", (8,9)),
    'test_list': ("Test title", [10,11]),
    'test_dict': ("Test title", {"a": "A", "b": "B"}),
}

def init(year): # pragma: no cover
    import os
    import shutil
    import glob
    regtest_dir = f'/tmp/DBregtest.{os.getpid()}'
    for dirname in ['DBregtest', regtest_dir] + glob.glob('TMP/TICKETS/*'):
        try:
            os.unlink(dirname)
            print('rm ' + dirname)
        except OSError:
            shutil.rmtree(dirname, ignore_errors=True)
            print('rm -r ' + dirname)
    name = ''
    for j in (regtest_dir, 'Y%d' % (year - 1), 'SAutomne'):
        name += "/" + j
        os.mkdir(name)
        open(os.path.join(name, "__init__.py"), "w").close()
    os.symlink(name, 'DBregtest')
