#!/usr/bin/python3

"""
It is a filter

Input : a CSV file with student number in first column
Output : the same file with a column inserted with the surname and firstname
"""

import tomuss_init
import csv
import sys
from .. import entity

lines = list(csv.reader(sys.stdin))
users = entity.Users(line[0] for line in lines)

w = csv.writer(sys.stdout)
for line in lines:
    w.writerow([line[0],
                users[line[0]].surname +' '+ users[line[0]].firstname.title()]
                + line[1:])




